Debian Bug report logs - #598493
nfs-exports does not work after reboot

version graph

Package: nfs-kernel-server; Maintainer for nfs-kernel-server is Debian kernel team <debian-kernel@lists.debian.org>; Source for nfs-kernel-server is src:nfs-utils.

Reported by: Oliver Joa <oliver@j-o-a.de>

Date: Wed, 29 Sep 2010 12:33:02 UTC

Severity: normal

Found in version nfs-utils/1:1.2.2-4

Fixed in version nfs-utils/1:1.2.2-5

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Wed, 29 Sep 2010 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Joa <oliver@j-o-a.de>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 29 Sep 2010 12:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oliver Joa <oliver@j-o-a.de>
To: submit@bugs.debian.org
Subject: nfs-exports does not work after reboot
Date: Wed, 29 Sep 2010 14:30:22 +0200
Package: nfs-kernel-server
Version: 1.2.2-4
Kernel: 2.6.30-2-686
Debian: testing

Everytime I startup my Server I have to "exportfs -a" manually. It
should be done in the init-scripts.

After startup I can not access my NFS exports. After running "exportfs
-a" it works perfectly.

Some days/weeks ago it was working, but after a "apt-get upgrade" it didn't.

regards

Olli




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Wed, 29 Sep 2010 13:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 29 Sep 2010 13:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 598493@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Oliver Joa <oliver@j-o-a.de>, 598493@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Wed, 29 Sep 2010 15:04:12 +0200
On Wed, Sep 29, 2010 at 02:30:22PM +0200, Oliver Joa wrote:
> Everytime I startup my Server I have to "exportfs -a" manually. It
> should be done in the init-scripts.

What is the content of /etc/exports?

Bastian

-- 
Captain's Log, star date 21:34.5...




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 29 Sep 2010 13:09:09 GMT) Full text and rfc822 format available.

Notification sent to Oliver Joa <oliver@j-o-a.de>:
Bug acknowledged by developer. (Wed, 29 Sep 2010 13:09:09 GMT) Full text and rfc822 format available.

Message #15 received at 598493-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 598493-done@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Wed, 29 Sep 2010 14:05:12 +0100
Version: 1:1.1.2-6lenny2

On Wed, Sep 29, 2010 at 02:30:22PM +0200, Oliver Joa wrote:
> Package: nfs-kernel-server
> Version: 1.2.2-4
> Kernel: 2.6.30-2-686
> Debian: testing

I don't know what mirror you are using, but these are long out of date.
I believe this is the same as bug #550153.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Wed, 29 Sep 2010 13:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Joa <oliver@j-o-a.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 29 Sep 2010 13:15:13 GMT) Full text and rfc822 format available.

Message #20 received at 598493@bugs.debian.org (full text, mbox):

From: Oliver Joa <oliver@j-o-a.de>
To: Bastian Blank <waldi@debian.org>
Cc: 598493@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Wed, 29 Sep 2010 15:09:58 +0200
On 29.09.2010 15:04, Bastian Blank wrote:
> On Wed, Sep 29, 2010 at 02:30:22PM +0200, Oliver Joa wrote:
>> Everytime I startup my Server I have to "exportfs -a" manually. It 
>> should be done in the init-scripts.
> 
> What is the content of /etc/exports?
> 
> Bastian


/export gutemine(fsid=0,rw,no_subtree_check)
asterix(fsid=0,rw,no_subtree_check) 10.11.0.1(fsid=0,rw,no_subtree_check)
/export/olli
gutemine(rw,no_subtree_check,anonuid=1000,anongid=1000,nohide)
10.11.0.1(rw,no_subtree_check,anonuid=1000,anongid=1000,nohide)
/export/share
gutemine(rw,no_subtree_check,anonuid=1000,anongid=1000,nohide)
asterix(rw,no_subtree_check,anonuid=1000,anongid=1000,nohide)
10.11.0.1(rw,no_subtree_check,anonuid=1000,anongid=1000,nohide)
/home/ftp/pub/multimedia/audio/mp3/ video2(ro,async,subtree_check)
/home/ping asterix(rw,sync,no_subtree_check)
/home/share asterix(rw,sync,no_subtree_check)
gutemine(rw,sync,no_subtree_check)
/mnt/ asterix(ro,async,subtree_check)
/mnt/scratch gutemine(rw,sync,no_subtree_check)
wind(rw,sync,no_subtree_check)
/mnt/video0/ video*(rw,no_root_squash,async,no_subtree_check)
gutemine(ro,async,subtree_check)
/mnt/video1/ video*(rw,no_root_squash,async,no_subtree_check)
gutemine(ro,async,subtree_check)
/mnt/ x5(ro,async,no_subtree_check,subtree_check)
/tftpboot/root-idefix-ng   idefix(rw,no_root_squash,sync,no_subtree_check)
/tftpboot/root-obelix   obelix(rw,no_root_squash,sync,no_subtree_check)
/tftpboot/root-router   router(rw,no_root_squash,sync,no_subtree_check)
/tftpboot/root-test   x4(rw,no_root_squash,sync,no_subtree_check)
/tftpboot/root-video2   video2(rw,no_root_squash,sync,no_subtree_check)
/tftpboot/root-video3   video3(rw,no_root_squash,sync,no_subtree_check)
/usr/local/opt          asterix(ro,no_root_squash,async,subtree_check)
/var/local/backup/neuinstallation-ffm/v2-lenny-64-2010.04.12
10.0.0.250(rw,no_subtree_check,no_root_squash)

Thanks

Olli




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Wed, 29 Sep 2010 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Joa <oliver@j-o-a.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 29 Sep 2010 13:21:06 GMT) Full text and rfc822 format available.

Message #25 received at 598493@bugs.debian.org (full text, mbox):

From: Oliver Joa <oliver@j-o-a.de>
To: 598493@bugs.debian.org
Subject: Re: Bug#598493 closed by Ben Hutchings <ben@decadent.org.uk> (Re: Bug#598493: nfs-exports does not work after reboot)
Date: Wed, 29 Sep 2010 15:16:25 +0200
On 29.09.2010 15:09, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the nfs-kernel-server package:
> 
> #598493: nfs-exports does not work after reboot
> 
> It has been closed by Ben Hutchings <ben@decadent.org.uk>.
> 
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Ben Hutchings <ben@decadent.org.uk> by
> replying to this email.
> 
> 

What is out of date? nfs-kernel-server?. When I search on
www.de.debian.org i can not find a newer one for testing. Or do you talk
about the kernel?

Olli




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Wed, 29 Sep 2010 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 29 Sep 2010 14:51:05 GMT) Full text and rfc822 format available.

Message #30 received at 598493@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Oliver Joa <oliver@j-o-a.de>, 598493@bugs.debian.org
Subject: Re: Bug#598493: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Bug#598493: nfs-exports does not work after reboot)
Date: Wed, 29 Sep 2010 15:49:43 +0100
On Wed, Sep 29, 2010 at 03:16:25PM +0200, Oliver Joa wrote:
> On 29.09.2010 15:09, Debian Bug Tracking System wrote:
> > This is an automatic notification regarding your Bug report
> > which was filed against the nfs-kernel-server package:
> > 
> > #598493: nfs-exports does not work after reboot
> > 
> > It has been closed by Ben Hutchings <ben@decadent.org.uk>.
> > 
> > Their explanation is attached below along with your original report.
> > If this explanation is unsatisfactory and you have not received a
> > better one in a separate message then please contact Ben Hutchings <ben@decadent.org.uk> by
> > replying to this email.
> > 
> > 
> 
> What is out of date? nfs-kernel-server?. When I search on
> www.de.debian.org i can not find a newer one for testing. Or do you talk
> about the kernel?
 
Oh, sorry, I misread the version.  nfs-kernel-server is up-to-date, so I
will reopen this.  Your kernel is way behind testing though.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Bug No longer marked as fixed in versions 1:1.1.2-6lenny2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Sep 2010 14:51:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions nfs-utils/1:1.2.2-4. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 29 Sep 2010 14:51:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 1.2.2-4. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 29 Sep 2010 14:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Wed, 29 Sep 2010 15:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 29 Sep 2010 15:48:06 GMT) Full text and rfc822 format available.

Message #41 received at 598493@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Oliver Joa <oliver@j-o-a.de>, 598493@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Wed, 29 Sep 2010 17:45:20 +0200
On Wed, Sep 29, 2010 at 03:09:58PM +0200, Oliver Joa wrote:
> On 29.09.2010 15:04, Bastian Blank wrote:
> > What is the content of /etc/exports?
> /export gutemine(fsid=0,rw,no_subtree_check)
> asterix(fsid=0,rw,no_subtree_check) 10.11.0.1(fsid=0,rw,no_subtree_check)

Okay, all this names most probably come vie dns. Is the dns server
reachable at the time the init script is running?

Bastian

-- 
It would be illogical to kill without reason.
		-- Spock, "Journey to Babel", stardate 3842.4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Wed, 29 Sep 2010 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Joa <oliver@j-o-a.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 29 Sep 2010 16:45:04 GMT) Full text and rfc822 format available.

Message #46 received at 598493@bugs.debian.org (full text, mbox):

From: Oliver Joa <oliver@j-o-a.de>
To: Bastian Blank <waldi@debian.org>
Cc: 598493@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Wed, 29 Sep 2010 17:55:48 +0200
Hi,

On 29.09.2010 17:45, Bastian Blank wrote:
> On Wed, Sep 29, 2010 at 03:09:58PM +0200, Oliver Joa wrote:
>> On 29.09.2010 15:04, Bastian Blank wrote:
>>> What is the content of /etc/exports?
>> /export gutemine(fsid=0,rw,no_subtree_check)
>> asterix(fsid=0,rw,no_subtree_check) 10.11.0.1(fsid=0,rw,no_subtree_check)
> 
> Okay, all this names most probably come vie dns. Is the dns server
> reachable at the time the init script is running?

The dns-server (bind) is running on the same machine.

It should be started before the nfs-kernel-server:

olli@majestix:/etc/rc2.d$ ls -la *nfs* *bind*
lrwxrwxrwx 1 root root 15 27. Dez 2009  S04bind9 -> ../init.d/bind9
lrwxrwxrwx 1 root root 20  7. Mai 10:42 S16nfs-common ->
../init.d/nfs-common
lrwxrwxrwx 1 root root 27  7. Mai 10:42 S17nfs-kernel-server ->
../init.d/nfs-kernel-server

I made some Debug-Prints in /etc/init.d/nfs-kernel-server:

date >> /tmp/startup 2>&1
host video2 >> /tmp/startup 2>&1

It shows the correct IP-Address....

Thanks

Olli





Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Mon, 11 Oct 2010 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Joa <oliver@j-o-a.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 11 Oct 2010 20:36:03 GMT) Full text and rfc822 format available.

Message #51 received at 598493@bugs.debian.org (full text, mbox):

From: Oliver Joa <oliver@j-o-a.de>
To: Bastian Blank <waldi@debian.org>
Cc: 598493@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Mon, 11 Oct 2010 22:33:34 +0200
Hi,

On 29.09.2010 17:45, Bastian Blank wrote:
> On Wed, Sep 29, 2010 at 03:09:58PM +0200, Oliver Joa wrote:
>> On 29.09.2010 15:04, Bastian Blank wrote:
>>> What is the content of /etc/exports?
>> /export gutemine(fsid=0,rw,no_subtree_check)
>> asterix(fsid=0,rw,no_subtree_check) 10.11.0.1(fsid=0,rw,no_subtree_check)
> 
> Okay, all this names most probably come vie dns. Is the dns server
> reachable at the time the init script is running?


I got some problem. First I thought I have standard init-process. With
the normal numbering bind should be before nfes-kernel-server. But now I
found that I have startup-concurrency "makefile". So I guess that bind
starts after nfs-kernel-server. Shouldn't there be some "Required-Start"
in the nfs-kernel-server?

Thanks

Olli




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Thu, 14 Oct 2010 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Joa <oliver@j-o-a.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 14 Oct 2010 14:03:04 GMT) Full text and rfc822 format available.

Message #56 received at 598493@bugs.debian.org (full text, mbox):

From: Oliver Joa <oliver@j-o-a.de>
To: Bastian Blank <waldi@debian.org>
Cc: 598493@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Thu, 14 Oct 2010 15:56:39 +0200
Hi,

On 29.09.2010 17:45, Bastian Blank wrote:
> On Wed, Sep 29, 2010 at 03:09:58PM +0200, Oliver Joa wrote:
>> On 29.09.2010 15:04, Bastian Blank wrote:
>>> What is the content of /etc/exports?
>> /export gutemine(fsid=0,rw,no_subtree_check)
>> asterix(fsid=0,rw,no_subtree_check) 10.11.0.1(fsid=0,rw,no_subtree_check)
> 
> Okay, all this names most probably come vie dns. Is the dns server
> reachable at the time the init script is running?

now it seems to work. I added the following line in
/etc/init.d/nfs-kernel-server:

### BEGIN INIT INFO
...
# Should-Start:      bind9
...
### END INIT INFO

Thanks
Olli




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Fri, 15 Oct 2010 01:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 15 Oct 2010 01:45:02 GMT) Full text and rfc822 format available.

Message #61 received at 598493@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Oliver Joa <oliver@j-o-a.de>, 598493@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>, debian-devel@lists.debian.org
Subject: Init dependency between nfs-kernel-server and name server
Date: Fri, 15 Oct 2010 02:43:40 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-10-14 at 15:56 +0200, Oliver Joa wrote:
> Hi,
> 
> On 29.09.2010 17:45, Bastian Blank wrote:
> > On Wed, Sep 29, 2010 at 03:09:58PM +0200, Oliver Joa wrote:
> >> On 29.09.2010 15:04, Bastian Blank wrote:
> >>> What is the content of /etc/exports?
> >> /export gutemine(fsid=0,rw,no_subtree_check)
> >> asterix(fsid=0,rw,no_subtree_check) 10.11.0.1(fsid=0,rw,no_subtree_check)
> > 
> > Okay, all this names most probably come vie dns. Is the dns server
> > reachable at the time the init script is running?
> 
> now it seems to work. I added the following line in
> /etc/init.d/nfs-kernel-server:
> 
> ### BEGIN INIT INFO
> ...
> # Should-Start:      bind9
> ...
> ### END INIT INFO

Clearly any installed name server should be started before
nfs-kernel-server, but that might not be bind9.  I don't know how and
where the dependency should be specified.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Fri, 15 Oct 2010 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 15 Oct 2010 19:51:03 GMT) Full text and rfc822 format available.

Message #66 received at 598493@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 598493@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Fri, 15 Oct 2010 21:47:42 +0200
[Oliver Joa]
> now it seems to work. I added the following line in
> /etc/init.d/nfs-kernel-server:
>
> ### BEGIN INIT INFO
> ...
> # Should-Start:      bind9
> ...
> ### END INIT INFO

I believe it is better to use $named instead of bind9.  To work with
any local DNS service. :)

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Sun, 17 Oct 2010 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sun, 17 Oct 2010 01:09:03 GMT) Full text and rfc822 format available.

Message #71 received at 598493@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Petter Reinholdtsen <pere@hungry.com>, 598493@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Sun, 17 Oct 2010 02:05:16 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-10-15 at 21:47 +0200, Petter Reinholdtsen wrote:
> [Oliver Joa]
> > now it seems to work. I added the following line in
> > /etc/init.d/nfs-kernel-server:
> >
> > ### BEGIN INIT INFO
> > ...
> > # Should-Start:      bind9
> > ...
> > ### END INIT INFO
> 
> I believe it is better to use $named instead of bind9.  To work with
> any local DNS service. :)

Except that nothing appears to provide $named yet.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Sun, 17 Oct 2010 04:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sun, 17 Oct 2010 04:36:03 GMT) Full text and rfc822 format available.

Message #76 received at 598493@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 598493@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Sun, 17 Oct 2010 06:32:47 +0200
[Ben Hutchings]
> Except that nothing appears to provide $named yet.

How strange.  At least powerdns and bind should provide it.  See
/etc/insserv.conf*.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Sun, 17 Oct 2010 09:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sun, 17 Oct 2010 09:00:03 GMT) Full text and rfc822 format available.

Message #81 received at 598493@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Petter Reinholdtsen <pere@hungry.com>, 598493@bugs.debian.org
Subject: Re: Bug#598493: nfs-exports does not work after reboot
Date: Sun, 17 Oct 2010 09:57:51 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-10-17 at 06:32 +0200, Petter Reinholdtsen wrote:
> [Ben Hutchings]
> > Except that nothing appears to provide $named yet.
> 
> How strange.  At least powerdns and bind should provide it.  See
> /etc/insserv.conf*.

Oh I see, I wasn't aware that such names were defined there.  I'll go
ahead and use $named then.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 24 Oct 2010 19:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Thu, 17 Feb 2011 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg Wooledge <wooledg@eeg.ccf.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 17 Feb 2011 14:24:03 GMT) Full text and rfc822 format available.

Message #88 received at 598493@bugs.debian.org (full text, mbox):

From: Greg Wooledge <wooledg@eeg.ccf.org>
To: 598493@bugs.debian.org
Subject: still broken in squeeze release
Date: Thu, 17 Feb 2011 09:13:42 -0500
nfs-common 1:1.2.2-4
nfs-kernel-server 1:1.2.2-4
portmap 6.0.0-2

I'm seeing this issue -- or what appears to be the same issue -- on a
machine that was upgraded from lenny to squeeze.  Specifically, the
export list is empty immediately after booting:

img2:/# shutdown -r now

...

imadev:~$ ssh root@img2
root@img2's password: 
Linux img2 2.6.32-5-686 #1 SMP Wed Jan 12 04:01:41 UTC 2011 i686

The programs included with the Debian GNU/Linux system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
Last login: Thu Feb 17 08:53:50 2011 from imadev.eeg.ccf.org
img2:~# showmount -e
Export list for img2:
img2:~# 


I have bootlogd enabled, and it appears to be running an "exportfs -a":

Thu Feb 17 09:05:35 2011: INIT: Entering runlevel: 2
Thu Feb 17 09:05:35 2011: Using makefile-style concurrent boot in runlevel 2.
Thu Feb 17 09:05:35 2011: Starting portmap daemon...Already running..
Thu Feb 17 09:05:35 2011: Starting NFS common utilities: statd idmapd.
Thu Feb 17 09:05:36 2011: Exporting directories for NFS kernel daemon...exportfs: /etc/exports [1]: Neither 'subtree_check' or 'no_subtree_check' specified for export "jabba.eeg.ccf.org:/data1".
Thu Feb 17 09:05:36 2011:   Assuming default behaviour ('no_subtree_check').
Thu Feb 17 09:05:36 2011:   NOTE: this default has changed since nfs-utils version 1.0.x
Thu Feb 17 09:05:36 2011: 
Thu Feb 17 09:05:36 2011: exportfs: jabba.eeg.ccf.org has non-inet addr
Thu Feb 17 09:05:36 2011: exportfs: jabba.eeg.ccf.org has non-inet addr


It's giving me that "non-inet addr" error on every host.  So, I guess
name lookups are failing -- but I don't understand why.  It uses other
machines on the network for DNS, and that's all configured properly:

img2:~# grep host /etc/nsswitch.conf 
hosts:          files dns


img2:~# cat /etc/hosts
127.0.0.1       localhost
127.0.1.1       img2.eeg.ccf.org        img2
10.76.143.59    img2.eeg.ccf.org        img2 boba

# The following lines are desirable for IPv6 capable hosts
::1     ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts


img2:~# cat /etc/resolv.conf
domain eeg.ccf.org
search eeg.ccf.org
nameserver 10.76.142.43
nameserver 10.76.142.84
nameserver 10.88.22.37


If I manually run "exportfs -a" after logging in, then NFS works properly
(although showmount's output is still wrong -- I'll file a separate bug
for that).




Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. (Wed, 16 Mar 2011 22:51:30 GMT) Full text and rfc822 format available.

Notification sent to Oliver Joa <oliver@j-o-a.de>:
Bug acknowledged by developer. (Wed, 16 Mar 2011 22:51:30 GMT) Full text and rfc822 format available.

Message #93 received at 598493-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 598493-close@bugs.debian.org
Subject: Bug#598493: fixed in nfs-utils 1:1.2.2-5
Date: Wed, 16 Mar 2011 22:47:29 +0000
Source: nfs-utils
Source-Version: 1:1.2.2-5

We believe that the bug you reported is fixed in the latest version of
nfs-utils, which is due to be installed in the Debian FTP archive:

nfs-common_1.2.2-5_i386.deb
  to main/n/nfs-utils/nfs-common_1.2.2-5_i386.deb
nfs-kernel-server_1.2.2-5_i386.deb
  to main/n/nfs-utils/nfs-kernel-server_1.2.2-5_i386.deb
nfs-utils_1.2.2-5.debian.tar.bz2
  to main/n/nfs-utils/nfs-utils_1.2.2-5.debian.tar.bz2
nfs-utils_1.2.2-5.dsc
  to main/n/nfs-utils/nfs-utils_1.2.2-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598493@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated nfs-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 Mar 2011 23:10:15 +0100
Source: nfs-utils
Binary: nfs-kernel-server nfs-common
Architecture: source i386
Version: 1:1.2.2-5
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 nfs-common - NFS support files common to client and server
 nfs-kernel-server - support for NFS kernel server
Closes: 521084 524610 561718 562737 575503 593511 598493 612002
Changes: 
 nfs-utils (1:1.2.2-5) unstable; urgency=low
 .
   [ Ben Hutchings ]
   * mount.nfs.man, nfs.man: Update distinction between fstypes
     (Closes: #575503)
   * nfs-kernel-server.init: Require any installed name server ($named) to
     start before nfs-kernel-server (Closes: #598493)
 .
   [ Luk Claes ]
   * nfs-common.init, nfs-kernel-server.init: Add warning when portmap is
     not running (Closes: #612002,#561718,#562737)
   * nfs-common.init: Add --pidfile for statd (Closes: #521084)
   * nfs-common.init: Add statd to sendsigs.omit.d (Closes: #524610)
   * nfs-common.default, nfs-kernel-server.default: Remove spurious question
     mark in wiki url (Closes: #593511)
Checksums-Sha1: 
 9f710f7d4d1d73c3b7ad296ac227d37ec1054c03 1472 nfs-utils_1.2.2-5.dsc
 66dd0e3e4b98c8aa98edf717bfbb475b33d7fe03 36315 nfs-utils_1.2.2-5.debian.tar.bz2
 dceb0c3f552a7810678f69a4efe234eb66b5c4b9 158480 nfs-kernel-server_1.2.2-5_i386.deb
 de8e6861475df099d60b4e0b3d30f442e3fd087a 227966 nfs-common_1.2.2-5_i386.deb
Checksums-Sha256: 
 2c5c4f62759e345322f2032e0c8736d8f3df09ccc4273337678bdcc47edd31a6 1472 nfs-utils_1.2.2-5.dsc
 24f4836ee04b3e60cb6df8911377372d2e03a4b5d12b1a72c7e58a77f31f2505 36315 nfs-utils_1.2.2-5.debian.tar.bz2
 aef89affa03147f694e8fcac12fd476db22c9ce840f56da83c27bcfc0c9c5d66 158480 nfs-kernel-server_1.2.2-5_i386.deb
 53319e51edcd1c2789f91eeba78c6434ec257d08ff335e5c9aa2f4ee238a2853 227966 nfs-common_1.2.2-5_i386.deb
Files: 
 ed25bcf2b8bab9aa5ad578f189fb077e 1472 net standard nfs-utils_1.2.2-5.dsc
 b1b8158e04a8593210b41cfb6ef4964b 36315 net standard nfs-utils_1.2.2-5.debian.tar.bz2
 f171a450a7c69c4d3fb71d1b303cc9f2 158480 net optional nfs-kernel-server_1.2.2-5_i386.deb
 79a76774c70ad6b158781a21c7d2b2a9 227966 net standard nfs-common_1.2.2-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2BOhIACgkQ5UTeB5t8Mo36iACcDnK1lGM0TQrw0Xd6F6okq0Ta
JwQAoK77dzDgOKvZ7SCwNeLz+x5fsBvp
=CkXH
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#598493; Package nfs-kernel-server. (Mon, 21 Mar 2011 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg Wooledge <wooledg@eeg.ccf.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 21 Mar 2011 14:51:03 GMT) Full text and rfc822 format available.

Message #98 received at 598493@bugs.debian.org (full text, mbox):

From: Greg Wooledge <wooledg@eeg.ccf.org>
To: 598493@bugs.debian.org
Subject: squeeze workaround
Date: Mon, 21 Mar 2011 10:46:40 -0400
Changing "allow-hotplug eth0" to "auto eth0" in /etc/network/interfaces
appears to work around the problem in squeeze.  I do not quite understand
why that works, though.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:58:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:33:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.